/*
    SambaManger. A graphical frontend to configure the NetInfo enhanced samba.
    Copyright (C) 1998  Robert Frank

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
		
		Robert Frank, frank@ifi.unibas.ch
*/

#import <appkit/appkit.h>
#import <netinfo/ni.h>

@interface Panels:Object
{
		// Select a user or group from netinfo
		id	panelUserGroup;

		// Select a netgroup or host from netinfo
		id	panelNetgroupHost;

		// The select a new service type
		id	panelServices;
		id	buttonCancel;
		id	buttonCreate;
    id	buttonChoice;

		// The broswer panel
		id	panelBroswer;
		id	browser;
		ni_namelist	*values;
}
+ new;

// Select a user or group from netinfo:
// This is also used for the netgroup/host selection:
//       group == netgroup and user == host
#define PS_NONE		0
#define PS_GROUP	1
#define PS_USER		2

- (int)userOrGroup;
- (int)netgroupOrHost;
- userOrGroupCancel:sender;	// netgroupOrHostCancel
- userOrGroupGroup:sender;	// netgroupOrHostNetgroup
- userOrGroupUser:sender;		// netgroupOrHostUser

// Actions from the select service type panel:
- (int)selectService;
- serviceCancel:sender;
- serviceCreate:sender;	// broswer select

// Actions from the browser panel:
- (const char *)showNetgroups:(ni_namelist *)netgroupList;
@end
