/*
    SambaManger. A graphical frontend to configure the NetInfo enhanced samba.
    Copyright (C) 1998  Robert Frank

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
		
		Robert Frank, frank@ifi.unibas.ch
*/

#define S_VALID					"-valid"
#define S_NIS_HOMEDIR		"NIS homedir"
#define S_ADMINUSERS		"admin users"
#define S_ALLOWHOSTS		"allow hosts"
#define S_ALTPERM				"alternate permissions"
#define S_ANNOUNCE_AS		"announce as"
#define S_ANNOUNCE_VER	"announce version"
#define S_AUTO_SERVICES	"auto services"
#define S_AVAILABLE			"available"
#define S_BROWSE_LIST		"browse list"
#define S_BROWSEABLE		"browseable"
#define S_CASE_SENSITIV	"case sensitive"
#define S_CASE_SIG_NMS	"casesignames"
#define S_CHAR_SET			"character set"
#define S_CLNT_CODE_PG	"client code page"
#define S_CODING_SYS		"coding system"
#define S_COMMENT				"comment"
#define S_CONF_FILE			"config file"
#define S_COPY					"copy"
#define S_CREATE_MASK		"create mask"
#define S_DEAD_TIME			"deadtime"
#define S_DEBUGLEVEL		"debuglevel"
#define S_DEFAULT_CASE	"default case"
#define S_DEFAULT_SERV	"default service"
#define S_DEL_READ_ONLY	"delete readonly"
#define S_DENY_HOSTS		"deny hosts"
#define S_DFREE_COMM		"dfree command"
#define S_DIR_MASK			"directory mask"
#define S_DNS_PROXY			"dns proxy"
#define S_DOMAIN_CONTRL	"domain controller"
#define S_DOMAIN_LOGONS	"domain logons"
#define S_DOMAIN_MASTER	"domain master"
#define S_DONT_DESCEND	"dont descend"
#define S_DOS_FILETIMES	"dos filetimes"
#define S_ENCRYPT_PASS	"encrypt passwords"
#define S_FAKE_OPLOCKS	"fake oplocks"
#define S_FOLLOW_SYMLNK	"follow symlinks"
#define S_FRCE_CREAT_MD	"force create mode"
#define S_FRCE_DIR_MODE	"force directory mode"
#define S_FRCE_GROUP		"force group"
#define S_FRCE_USER			"force user"
#define S_GETWD_CACHE		"getwd cache"
#define S_GROUP					"group"
#define S_GUEST_ACCOUNT	"guest account"
#define S_GUEST_ONLY		"guest only"
#define S_HIDE_DOT_FILE	"hide dot files"
#define S_HIDE_FILES		"hide files"
#define S_HIDE_FILES_S	"_hide files"
#define S_HOME_DIR_MAP	"homedir map"
#define S_HOSTS_EQUIV		"hosts equiv"
#define S_INCLUDE				"include"
#define S_INTERFACES		"interfaces"
#define S_INVALID_USERS	"invalid users"
#define S_KEEP_ALIVE		"keepalive"
#define S_LOAD_PRNTRS		"load printers"
#define S_LOCAL_MASTER	"local master"
#define S_LOCK_DIR			"lock directory"
#define S_LOCKING				"locking"
#define S_LOG_FILE			"log file"
#define S_LOG_LEVEL			"log level"
#define S_LOGON_PATH		"logon path"
#define S_LOGON_SCRIPT	"logon script"
#define S_LPPAUSE				"lppause command"
#define S_LPQ_CACHE_TM	"lpq cache time"
#define S_LPQ						"lpq command"
#define S_LPRESUME			"lpresume command"
#define S_LPRM					"lprm command"
#define S_MAGIC_OUTPUT	"magic output"
#define S_MAGIC_SCRIPT	"magic script"
#define S_MANGLE_CASE		"mangle case"
#define S_MANGLED_MAP		"mangled map"
#define S_MANGLED_NAMES	"mangled names"
#define S_MANGLED_STACK	"mangled stack"
#define S_MANGLING_CHAR	"mangling char"
#define S_MAP_ARCHIVE		"map archive"
#define S_MAP_HIDDEN		"map hidden"
#define S_MAP_SYSTEM		"map system"
#define S_MAX_CONNS			"max connections"
#define S_MAX_DISK			"max disk size"
#define S_MAX_LOG_SIZE	"max log size"
#define S_MAX_MUX				"max mux"
#define S_MAX_PACKET		"max packet"
#define S_MAX_TTLE			"max ttl"
#define S_MAX_XMIT			"max xmit"
#define S_MESSAGE				"message command"
#define S_MIN_PRNT_SPC	"min print space"
#define S_NAME					"name"
#define S_NB_ALIASES		"netbios aliases"
#define S_NB_NAME				"netbios name"
#define S_NULL_PASSWDS	"null passwords"
#define S_ONLY_USER			"only user"
#define S_OS_LEVEL			"os level"
#define S_PACKET_SIZE		"packet size"
#define S_PASSWD_CHAT		"passwd chat"
#define S_PASSWD_PROG		"passwd program"
#define S_PASSWD_LEVEL	"password level"
#define S_PASSWD_SERVER	"password server"
#define S_PATH					"path"
#define S_POST_EXEC			"postexec"
#define S_POSTSCRIPT		"postscript"
#define S_PRE_EXEC			"preexec"
#define S_PREF_MASTER		"preferred master"
#define S_PRELOAD				"preload"
#define S_PRESERVE_CASE	"preserve case"
#define S_PRNT_COMM			"print command"
#define S_PRNTABLE			"print ok"
#define S_PRNTCAP_NAME	"printcap name"
#define S_PRNT_DRIVER		"printer driver"
#define S_PRNT_NAME			"printer name"
#define S_PRINTING			"printing"
#define S_PROTOCOL			"protocol"
#define S_PUBLIC				"public"
#define S_READ_LIST			"read list"
#define S_READ_ONLY			"read only"
#define S_READ_PRED			"read prediction"
#define S_READ_RAW			"read raw"
#define S_READ_SIZE			"read size"
#define S_REM_ANNOUNCE	"remote announce"
#define S_REVALIDATE		"revalidate"
#define S_ROOT_DIR			"root directory"
#define S_ROOT_POST_EX	"root postexec"
#define S_ROOT_PRE_EX		"root preexec"
#define S_SECURITY			"security"
#define S_SERVER_STRNG	"server string"
#define S_SET_DIR				"set directory"
#define S_SHARE_MODES		"share modes"
#define S_SHRD_FILE_ENT	"shared file entries"
#define S_SHRD_MEM_SIZE	"shared mem size"
#define S_SHRT_PRS_CASE	"short preserve case"
#define S_SMB_PASSWD_FL	"smb passwd file"
#define S_SMB_RUN				"smbrun"
#define S_SOCK_ADDR			"socket address"
#define S_SOCK_OPTS			"socket options"
#define S_STATUS				"status"
#define S_STRCT_LOCKING	"strict locking"
#define S_STRIP_DOT			"strip dot"
#define S_SYNC_ALWAYS		"sync always"
#define S_SYSLOG_ONLY		"syslog only"
#define S_SYSLOG				"syslog"
#define S_TIME_OFFSET		"time offset"
#define S_TIME_SERVER		"time server"
#define S_UNIX_REALNAME	"unix realname"
#define S_USE_RHOSTS		"use rhosts"
#define S_USERNAME_MAP	"username map"
#define S_USERNAME			"username"
#define S_VALID_CHARS		"valid chars"
#define S_VALID_USERS		"valid users"
#define S_VETO_FILES		"veto files"
#define S_VETO_FILES_S	"_veto files"
#define S_VOLUME				"volume"
#define S_WIDE_LINKS		"wide links"
#define S_WINS_PROXY		"wins proxy"
#define S_WINS_SERVER		"wins server"
#define S_WINS_SUPPORT	"wins support"
#define S_WORKGROUP			"workgroup"
#define S_WRITEABLE			"writable"
#define S_WRITE_LIST		"write list"
#define S_WRITE_RAW			"write raw"

// Socket option names
#define S_SO_KEEPALIVE	"SO_KEEPALIVE"
#define S_SO_REUSEADDR	"SO_REUSEADDR"
#define S_SO_BROADCAST	"SO_BROADCAST"
#define S_SO_TCP_NODEL	"TCP_NODELAY"
#define S_SO_SNDBUF			"SO_SNDBUF"
#define S_SO_RCVBUF			"SO_RCVBUF"
#define S_SO_SNDLOWAT		"SO_SNDLOWAT"
#define S_SO_RCVLOWAT		"SO_RCVLOWAT"

