/*
    SambaManger. A graphical frontend to configure the NetInfo enhanced samba.
    Copyright (C) 1998  Robert Frank

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
		
		Robert Frank, frank@ifi.unibas.ch
*/

#import <appkit/appkit.h>
#import <netinfo/ni.h>
#import "NIDirectory.h"

// Some useful short cuts:
#define 	ppname(i)		props.ni_proplist_val[i].nip_name
#define		pplen(i)		props.ni_proplist_val[i].nip_val.ni_namelist_len
#define		ppval(i,x)	props.ni_proplist_val[i].nip_val.ni_namelist_val[x]

#define getString(s) [Service stringFor:s]


@interface Service:Object
{		
    id	controller;
    id	window;

		NIDirectory		*ni_dirObj;
}
// Return the localized string
+ (const char *)stringFor:(const char *)strng;

// Allocate and create a new object.
+ new:sender at:(NXCoord *)offset;

// Ask for an existing entry and open, unless already opened.
+ open:sender at:(NXCoord *)offset;

- close:sender;
- delete:sender;
- revert:sender;
- save:sender;
- saveToDomain:sender;
- show:sender;
- (BOOL)minimumOK;

- (BOOL)isSame:(const char *)str inDomain:(const char *)dName;
- (BOOL)isOld:sender;

- setupAndLoad;
- init:sender dirObj:(NIDirectory *)dir delta:(NXCoord *)offset service:(const char *)sName;

@end
