/*
    SambaManger. A graphical frontend to configure the NetInfo enhanced samba.
    Copyright (C) 1998  Robert Frank

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
		
		Robert Frank, frank@ifi.unibas.ch
*/

#import "Service.h"
#import <appkit/appkit.h>
#import <netinfo/ni.h>

@interface Services:Service
{		
		id	buttonPages;
		id	popupPages;
		id	matrixPages;

		id	titleKind;
		
		id	boxChoices;
		// Globals
		id	boxGAccPwSecNM;
		id	boxGLockLog;
		id	boxGBinder;
		id	boxGStartup;
		id	boxGTunig;

    // Services
		id	boxSAccess;
		id	boxSVisMangle;
		id	boxSPermLock;
		id	boxSPwSecLogExecStart;

		id	boxes[9];
		
		// Globals
		// access password security
		id	radioEncryptPasswd;
		id	radioNullPasswd;
		id	radioUnixRealName;
		id	textPasswdLevel;
		id	sliderPasswdLevel;
		id	popupSecurity;
		id	textHostsEquiv;
		id	textPasswdChat;
		id	textPasswdProgram;
		id	textRootDirectory;
		id	textSMBPasswdFile;
		id	formSetPassSec;
		id	browserPasswdServer;
		id	textPasswdServer;
		id	buttonAddPasswdServer;
		id	buttonRemPasswdServer;
			
		// name mangling
		id	radioCaseSensitive;
		id	radioStripDot;
		id	textMangleStack;
		id	sliderMangleStack;
		id	popupCharSet;
		id	popupCodePage;
		
		// Logon
		id	radioDomainLogons;
		id	textLogonPath;
		id	textLogonScript;
		id	textMessageCommand;
		id	textSMBRun;
		id	textUserNameMap;
		id	formGSetLogon;
		// locking and logging
		id	textLockDir;
		id	buttonSetLockDir;
		id	radioStatus;
		id	radioSyslogOnly;
		id	textLogFile;
		id	buttonSetLogFile;
		id	textLogSize;
		id	sliderLogSize;
		id	textLogLevel;
		id	sliderLogLevel;

		// name binder
		id	radioDNSProxy;
		id	radioLocalMaster;
		id	radioTimeServer;
		id	radioWINSProxy;
		id	browserRemAnnounce;
		id	formRemAnnounce;
		id	buttonAddRemAnnounce;
		id	buttonRemRemAnnounce;
		id	remAnnounce;
		id	browserNBAliases;
		id	textNBAliases;
		id	buttonAddNBAliases;
		id	buttonRemNBAliases;

		// Startup
		id	radioDomainMaster;
		id	radioLoadPrinters;
		id	radioPrefMaster;
		id	radioWINSSupport;
		id	textOSLevel;
		id	sliderOSLevel;
		id	popupAnnounceAs;
		id	popupPrinting;
		id	popupProtocol;
		id	textAnnounceVersion;
		id	textConfigFile;
		id	textDefaultService;
		id	textNetBIOSName;
		id	textPrintcapName;
		id	textServerString;
		id	textSocketAddress;
		id	textWINSServer;
		id	textWorkGroup;
		id	formSetStartup;
		id	interfaces;
		id	browserInterfaces;
		id	formInterfaces;
		id	buttonAddInterfaces;
		id	buttonRemInterfaces;
		id	browserAutoServices;
		id	buttonAddAutoServices;
		id	buttonRemAutoServices;

		// Tuning
		id	radioGetwdCache;
		id	radioReadPrediction;
		id	radioReadRaw;
		id	radioSyncAlways;
		id	radioWriteRaw;
		id	textDeadTime;
		id	sliderDeadTime;
		id	textKeepAlive;
		id	sliderKeepAlive;
		id	textlpqCache;
		id	sliderlpqCache;
		id	textReadSize;
		id	sliderReadSize;
		id	formSOChecks;
		id	formSOBufSizes;
		id	formSOLowWatMark;
		

    // Services
		// access
		id	radioBrowseable;
		id	radioGuestOnly;
		id	radioOnlyUser;
		id	radioPrintable;
		id	radioPublic;
		id	radioReadOnly;
		id	browserAllowHosts;
		id	buttonAddAllowHosts;
		id	buttonRemAllowHosts;
		id	browserDenyHosts;
		id	buttonAddDenyHosts;
		id	buttonRemDenyHosts;
		id	browserReadList;
		id	buttonAddReadList;
		id	buttonRemReadList;
		id	browserWriteList;
		id	buttonAddWriteList;
		id	buttonRemWriteList;
		id	browserValidUsers;
		id	buttonAddValidUsers;
		id	buttonRemValidUsers;
		id	browserInvalidUsers;
		id	buttonAddInvalidUsers;
		id	buttonRemInvalidUsers;
		id	textMaxCons;
		id	sliderMaxCons;
		id	textVolume;

		//	file visibility
		id	radioHideDots;
		id	radioSetDir;
		id	radioFollowSymLinks;
		id	radioWideLinks;
		id	browserDescend;
		id	buttonAddDescend;
		id	buttonRemDescend;
		id	browserHideFiles;
		id	textHideFiles;
		id	buttonAddHideFiles;
		id	buttonRemHideFiles;
		id	browserVetoFiles;
		id	textVetoFiles;
		id	buttonAddVetoFiles;
		id	buttonRemVetoFiles;
		// name mangling
		id	radioMangleCase;
		id	radioMangledName;
		id	radioPreserveCase;
		id	radioShortPresCase;
		id	radioDefaultCase;
		id	browserValidChars;
		id	textValidChars;
		id	buttonAddValidChars;
		id	buttonRemValidChars;
		id	browserMangledMap;
		id	formMangleMap;
		id	mangleMap;
		id	buttonAddMangledMap;
		id	buttonRemMangledMap;
		id	textMangleChar;

		// file permissions
		id	radioAlternate;
		id	radioDelReadOnly;
		id	radioDOSFileTimes;
		id	radioMapArchive;
		id	radioMapHidden;
		id	radioMapSystem;
		id	textForceUser;
		id	buttonSetForceUser;
		id	textForceGroup;
		id	buttonSetForceGroup;
		id	radioCreateMask;
		id	check1CreateMask;
		id	check2CreateMask;
		id	check3CreateMask;
		id	objCreateMask;
		id	radioDirMask;
		id	check1DirMask;
		id	check2DirMask;
		id	check3DirMask;
		id	objDirMask;
		id	radioForceCreateMask;
		id	check1ForceCreateMask;
		id	check2ForceCreateMask;
		id	check3ForceCreateMask;
		id	objForceCreateMask;
		id	radioForceDirMask;
		id	check1ForceDirMask;
		id	check2ForceDirMask;
		id	check3ForceDirMask;
		id	objForceDirMask;
		// locking and logging
		id	radioFakeOpLocks;
		id	radioLocking;
		id	radioShareModes;
		id	radioStrictLocking;

		// passwords and security
		id	radioRevalidate;
		id	textGuestAccount;
		id	buttonSetGuestAccount;
		id	browserAdminUsers;
		id	buttonAddAdminUsers;
		id	buttonRemAdminUsers;
		id	browserUserNames;
		id	buttonAddUserNames;
		id	buttonRemUserNames;
		// Logon and exectution
		id	textMagicOutput;
		id	textMagicScript;
		id	textPath;
		id	textPreExecution;
		id	textPostExecution;
		id	textRootPreExecution;
		id	textRootPostExecution;
		id	formSetLogon;
    // startup
		id	textInclude;
		id	buttonSetInclude;


		// The printers section:
		id	boxPrinters;
		id	checkPAvailable;
		id	textMinPrntSpace;
		id	sliderMinPrntSpace;
		id	radioPBrowseable;
		id	radioPostscript;
		id	radioPPublic;
		id	radioPGuestOnly;
		id	radioPWriteable;
		id	textUnixPrint;
		id	textUnixDelete;
		id	textUnixShowQueue;
		id	textUnixPause;
		id	textUnixResume;
		id	textPrinterDriver;
		id	textSpoolDirectory;
		id	buttonSetSpoolDir;
		
		
//	id	window;

		int						serviceType; /* 0 = directory
		                              1 = globals
																	2 = homes
																	3 = printers */

		id						lastPageID;
		int						lastPage;
		BOOL					locked;

		// Panels	(these are external so we only allocat them once).
		id	panels;
		
		// properties
		id	propLogFile;
		id	propMagicOutput;
		id	propAllowHosts;
		id	propDenyHosts;
		id	propReadList;
		id	propWriteList;
		id	propValidUsers;
		id	propInvalidUsers;
		id	propUserNames;
		id	propHideFiles;
		id	propHideFilesSeparator;
		id	propVetoFiles;
		id	propVetoFilesSeparator;
		id	propAnnounceVersion;
}
@end
