/*
 * This header defines the property names used to locate entries in
 * NetInfo.
 *
 * Robert Frank, Department of Computer Science, University of Basel, 1997.
 */
 
 
/* The string to place between a parameters values (if it has more than one). */
#define S_SEPARATOR " "

/* These define the Samba configuration names in NetInfo. */
#define S_SAMBADIR				"/samba"
#define S_SERVICENAME			"name"

/* These defines the netbios property name in the machines directories. */
#define S_HOSTDIR					"/machines"
#define S_NETBIOSNAME			"netbios name"
#define S_HOSTNAME				"name"
#define S_HOSTIP					"ip_address"

/* These define the printer property names in NetInfo. */
#define S_PRINTERDIR			"/printers"
#define S_PRINTERRNAME		"name"
#define S_PRINTERNBNAME		"netbios name"
#define S_PRINTERDRIVER		"nt printer driver"
#define S_PRINTERCOMMENT	"note"
#define S_PRINTCOMMAND		"print command"
#define S_LPRMCOMMAND			"lprm command"
#define S_LPQCOMMAND			"lpq command"
#define S_LPRESUMECOMMAND	"lp resume command"
#define S_LPPAUSECOMMAND	"lp pause command"


/* These define the password property names in NetInfo. */
#define S_USERDIR					"/users"
#define S_PASSWD					"passwd"
#define S_SMBPASSWD				"smbpasswd"
#define S_SMBNTPASSWD			"smbntpasswd"
#define S_PASSWDW					"_writers_passwd"
#define S_SMBPASSWDW			"_writers_smbpasswd"
#define S_SMBNTPASSWDW		"_writers_smbntpasswd"

/* Shortcuts for accessing netifo structures */
#define PWENTNAME(pos) 	props.ni_proplist_val[pos].nip_name
#define PWENTVALU(pos) 	(props.ni_proplist_val[pos].nip_val.ni_namelist_len>0)? \
                          props.ni_proplist_val[pos].nip_val.ni_namelist_val[0]:""
